general {
    lock_cmd = notify-send "Locking"          # This stays empty/manual as you requested
    before_sleep_cmd = hyprlock    # Optional: lock before laptop lid closes
}

listener {
    timeout = 300  # 5 mins
    on-timeout = swayimg --fullscreen ~/Pictures/wallpaper.jpg
    on-resume = killall swayimg
}
